Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.util
Class ClassLoaderUtils

    java.lang.Object
      org.springframework.util.ClassLoaderUtils

Deprecated. as of Spring 2.5, to be removed in Spring 3.0

    public abstract class ClassLoaderUtils

extends Object

Utility class for diagnostic purposes, to analyze the ClassLoader hierarchy for any given object or class loader.

Since:
  02 April 2001
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `ClassLoader`

Constructor Summary
`ClassLoaderUtils()` Deprecated.

Method Summary
`static String` | `showClassLoaderHierarchy(ClassLoader cl)` Deprecated. Show the class loader hierarchy for the given class loader.
`static String` | `showClassLoaderHierarchy(ClassLoader cl, String lineBreak, String tabText)` Deprecated. Show the class loader hierarchy for the given class loader.
`static String` | `showClassLoaderHierarchy(Object obj, String role)` Deprecated. Show the class loader hierarchy for this class.
`static String` | `showClassLoaderHierarchy(Object obj, String role, String lineBreak, String tabText)` Deprecated. Show the class loader hierarchy for this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoaderUtils

    public ClassLoaderUtils()

  Deprecated.

Method Detail

### showClassLoaderHierarchy

    public static String showClassLoaderHierarchy(Object obj,
                                                  String role)

  Deprecated.
  Show the class loader hierarchy for this class. Uses default line break and tab text characters.

  Parameters:
    `obj` - object to analyze loader hierarchy for
    `role` - a description of the role of this class in the application (e.g., "servlet" or "EJB reference")
  Returns:
    a String showing the class loader hierarchy for this class

### showClassLoaderHierarchy

    public static String showClassLoaderHierarchy(Object obj,
                                                  String role,
                                                  String lineBreak,
                                                  String tabText)

  Deprecated.
  Show the class loader hierarchy for this class.

  Parameters:
    `obj` - object to analyze loader hierarchy for
    `role` - a description of the role of this class in the application (e.g., "servlet" or "EJB reference")
    `lineBreak` - line break
    `tabText` - text to use to set tabs
  Returns:
    a String showing the class loader hierarchy for this class

### showClassLoaderHierarchy

    public static String showClassLoaderHierarchy(ClassLoader cl)

  Deprecated.
  Show the class loader hierarchy for the given class loader. Uses default line break and tab text characters.

  Parameters:
    `cl` - class loader to analyze hierarchy for
  Returns:
    a String showing the class loader hierarchy for this class

### showClassLoaderHierarchy

    public static String showClassLoaderHierarchy(ClassLoader cl,
                                                  String lineBreak,
                                                  String tabText)

  Deprecated.
  Show the class loader hierarchy for the given class loader.

  Parameters:
    `cl` - class loader to analyze hierarchy for
    `lineBreak` - line break
    `tabText` - text to use to set tabs
  Returns:
    a String showing the class loader hierarchy for this class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.